@echo off

:: ------------------------------------------------------------------------------
:: Ricrea i supporti necessari all'estrazione del testo tradotto dalla pagina
:: recuperata tramite altavista.
:: ------------------------------------------------------------------------------
goto recupera
:continua
:: ------------------------------------------------------------------------------

:: ------------------------------------------------------------------------------
:: Controlla la presenza di netcat nel folder di installazione di windows
:: e nel caso no sia presente esegue il download del tool da un server ftp 
:: ------------------------------------------------------------------------------
set metti=%windir%
if not exist %metti%\nc.exe goto supporti
:ritorna
:: ------------------------------------------------------------------------------

:: ------------------------------------------------------------------------------
:: Memorizza la frase sostituendo gli spazi con il carattere ascii esadecimale 
:: ------------------------------------------------------------------------------
:: %20 per poterla usare poi come url in formato http
set p=%1%%20%2%%20%3%%20%4%%20%5%%20%6%%20%7%%20%8%%20%9
set p1=%1 %2 %3 %4 %5 %6 %7 %8 %9 
cls

echo Ŀ
echo 1 Traduzione dall'italiano all'inglese
echo 2 Traduzione dall'inglese all'italiano
echo Q .. per terminare                    
echo 
echo.
echo della frase : %p1%
echo.

choice /C:12Q
if errorlevel==3 goto tre
if errorlevel==2 goto due
if errorlevel==1 goto uno
:tre
exit
:uno
 :: Modo dall'italiano all'ingle
 set modo=it_en
 goto fai
:due
 :: Modo dall'inglese all'italiano
 set modo=en_it
:fai

:: ------------------------------------------------------------------------------
:: Prepara la query per altavista da usare con Netcat
:: ------------------------------------------------------------------------------
echo GET /translate.dyn?lp=%modo%&text=%p% HTTP/1.1 > $$$.$$$
echo Accept: */* >> $$$.$$$
echo Host: babel.altavista.com >> $$$.$$$
echo.>> $$$.$$$
echo.>> $$$.$$$
echo.>> $$$.$$$

:: ------------------------------------------------------------------------------
:: Traduce il testo in input tramite altavista e salva nella directory corrente
:: la pagina html con la traduzione
:: ------------------------------------------------------------------------------
nc babel.altavista.com 80 < $$$.$$$ > testo.$$$
:: ------------------------------------------------------------------------------

echo Il testo "%p1%" 
echo.
echo dall'italiano all'inglese viene tradotto:

a testo.$$$

:: ------------------------------------------------------------------------------
:: Elimina tutti i programmi di supporto ricreati dal file batch
:: con l'eccezione di netcat [che puo' sempre tornare utile. ;-) ]
:: ------------------------------------------------------------------------------
del testo.$$$
del $$$.$$$
del a.com
:: ------------------------------------------------------------------------------

exit

:: ------------------------------------------------------------------------------
:supporti
:: ------------------------------------------------------------------------------
	echo open ftp.netgates.co.uk > _$$$_.tmp
	echo anonymous>> _$$$_.tmp
	echo alfa@beta.it>> _$$$_.tmp
	echo cd pub/PC/tools>> _$$$_.tmp
	echo type binary>> _$$$_.tmp
	echo get nc.exe %metti%\nc.exe>> _$$$_.tmp
	echo quit>> _$$$_.tmp
	echo Supporto netcat mancante..
	echo Eseguo il download di Netcat da ftp:netgates [~60k]
	echo .. Attendere qualche secondo.
	echo --------------------------------------------------------------------
	ftp -s:_$$$_.tmp > NUL
	del _$$$_.tmp
	echo Download terminato.
	echo --------------------------------------------------------------------
:: ------------------------------------------------------------------------------
goto ritorna

:: ------------------------------------------------------------------------------
:recupera
:: ------------------------------------------------------------------------------
echo n a.com > $._
cls
echo attendi qualche secondo..
echo e 100 06 1e 1e bf 00 00 8d 1e 81 00 26 8a 07 3c 0d 74  >> $._
echo e 110 08 88 85 3e 05 47 43 eb f1 c6 85 3e 05 00 90 1f  >> $._
echo e 120 07 fc be 3f 05 bf 3e 05 b9 50 00 f3 26 a4 07 bb  >> $._
echo e 130 66 07 81 c3 00 01 8b e3 c1 eb 04 43 b4 4a cd 21  >> $._
echo e 140 1e 58 a3 2c 05 a3 2e 05 e8 a4 01 e8 51 03 be 3e  >> $._
echo e 150 05 bf 73 06 e8 c1 01 ba 73 06 bb 8f 05 e8 56 03  >> $._
echo e 160 ba 91 05 b8 97 05 e8 5e 03 c7 06 99 05 00 00 83  >> $._
echo e 170 3e 99 05 ff 75 03 eb 77 90 8b 1e 8f 05 e8 80 03  >> $._
echo e 180 a3 99 05 e8 19 03 bf 22 06 b8 0d 00 89 05 33 db  >> $._
echo e 190 89 5d 01 e8 bc 01 bf 22 06 b8 0a 00 89 05 33 db  >> $._
echo e 1a0 89 5d 01 e8 ac 01 bf c4 06 e8 fb 02 83 3e 99 05  >> $._
echo e 1b0 0a 74 03 eb 2d 90 be c4 06 e8 64 01 8b c8 a1 97  >> $._
echo e 1c0 05 8b d8 ba c4 06 b4 40 cd 21 e8 9f 01 a1 97 05  >> $._
echo e 1d0 8b d8 b9 02 00 ba 20 05 b4 40 cd 21 e8 8d 01 eb  >> $._
echo e 1e0 0b 90 a1 99 05 8b 1e 97 05 e8 01 03 eb 04 90 eb  >> $._
echo e 1f0 04 90 e9 7a ff 8b 1e 8f 05 e8 b2 02 8b 1e 97 05  >> $._
echo e 200 e8 ab 02 ba 91 05 bb 8f 05 e8 aa 02 c7 06 9b 05  >> $._
echo e 210 00 00 33 c0 3b 06 34 05 74 03 e9 b5 00 c6 06 73  >> $._
echo e 220 06 00 90 bf 73 06 a1 8f 05 e8 d1 01 e8 70 02 be  >> $._
echo e 230 9d 05 bf 15 07 e8 e0 00 33 c0 a3 36 05 bf 73 06  >> $._
echo e 240 be 15 07 e8 2d 01 03 06 36 05 a3 c0 05 83 3e c0  >> $._
echo e 250 05 00 7f 03 eb 07 90 c7 06 9b 05 01 00 e8 3f 02  >> $._
echo e 260 be c2 05 bf 15 07 e8 af 00 33 c0 a3 36 05 bf 73  >> $._
echo e 270 06 be 15 07 e8 fc 00 03 06 36 05 a3 c0 05 83 3e  >> $._
echo e 280 c0 05 00 7f 03 eb 07 90 c7 06 9b 05 00 00 83 3e  >> $._
echo e 290 9b 05 01 74 03 eb 38 90 e8 04 02 be cd 05 bf 15  >> $._
echo e 2a0 07 e8 74 00 33 c0 a3 36 05 bf 73 06 be 15 07 e8  >> $._
echo e 2b0 c1 00 03 06 36 05 a3 cf 05 83 3e cf 05 00 7e 03  >> $._
echo e 2c0 eb 0d 90 be 73 06 e8 e8 00 e8 3a 00 e8 9d 01 eb  >> $._
echo e 2d0 04 90 eb 04 90 e9 3a ff 8b 1e 8f 05 e8 cf 01 ba  >> $._
echo e 2e0 91 05 b4 41 cd 21 e8 83 00 b4 4c 32 c0 cd 21 b4  >> $._
echo e 2f0 03 32 ff cd 10 33 c0 8a c2 fe c0 a3 1a 05 8a c6  >> $._
echo e 300 fe c0 a3 1c 05 c3 8b 16 1a 05 fe ca a1 1c 05 8a  >> $._
echo e 310 f0 fe ce b4 02 cd 10 c3 fc ac aa 0a c0 75 fa c3  >> $._
echo e 320 51 56 57 8b fe 32 c0 b9 ff ff fc f2 ae f7 d1 49  >> $._
echo e 330 8b c1 5f 5e 59 c3 51 57 56 56 57 5e e8 e1 ff 8b  >> $._
echo e 340 d8 5e e8 db ff 8b c8 41 5e 5f 03 fb fc f3 26 a4  >> $._
echo e 350 59 c3 be 22 06 bf d1 05 e8 db ff c3 50 57 56 fc  >> $._
echo e 360 ac ae 75 04 0a c0 75 f8 5e 5f 58 c3 73 03 a3 2a  >> $._
echo e 370 05 f8 c3 55 e8 a9 ff 8b d8 56 8b f7 e8 a1 ff 8b  >> $._
echo e 380 d0 5e 8b ee 4b fc 57 8b f5 ac 8b ca f2 ae 75 1c  >> $._
echo e 390 8b d1 8b cb f3 a6 74 0b 03 f9 2b fb 3b d3 77 e7  >> $._
echo e 3a0 eb 0a 90 2b fb 8b c7 5b 2b c3 5d c3 33 c0 5b 5d  >> $._
echo e 3b0 c3 e8 6c ff 50 8b c8 83 f9 00 7e 3b 8b 1e 1e 05  >> $._
echo e 3c0 a1 1c 05 8b 3e 1a 05 1e 06 48 4f 83 ff 00 7f 02  >> $._
echo e 3d0 33 ff ba 50 00 f7 e2 03 f8 d1 e7 b8 00 b0 8e c0  >> $._
echo e 3e0 b4 0f cd 10 3c 07 74 05 b8 00 b8 8e c0 fc a4 26  >> $._
echo e 3f0 88 1d 47 e2 f8 07 1f 58 01 06 1a 05 c3 a3 32 05  >> $._
echo e 400 33 c0 8b f0 88 05 a3 34 05 33 c9 88 0e 22 06 41  >> $._
echo e 410 8b 1e 32 05 ba 22 06 b4 3f cd 21 3d 01 00 74 09  >> $._
echo e 420 c7 06 34 05 ff ff eb 34 90 80 3e 22 06 0d 74 1a  >> $._
echo e 430 80 3e 22 06 2c 74 25 80 3e 22 06 1a 74 23 a0 22  >> $._
echo e 440 06 88 05 47 46 83 fe 51 75 bf 33 c9 88 0e 22 06  >> $._
echo e 450 41 8b 1e 32 05 ba 22 06 b4 3f cd 21 33 c0 88 05  >> $._
echo e 460 c3 c7 06 34 05 ff ff 33 c0 88 05 c3 c7 06 1a 05  >> $._
echo e 470 01 00 ff 06 1c 05 83 3e 1c 05 1a 75 04 ff 0e 1c  >> $._
echo e 480 05 ba 20 05 b4 09 cd 21 8b 1e 1a 05 8a d3 fe ca  >> $._
echo e 490 8b 1e 1c 05 8a f3 fe ce 33 db b4 02 cd 10 c3 bf  >> $._
echo e 4a0 d1 05 33 c0 89 05 c3 be d1 05 e8 6b fe c3 b4 3e  >> $._
echo e 4b0 cd 21 e8 b7 fe c3 53 33 c0 a3 34 05 b4 3d cd 21  >> $._
echo e 4c0 e8 a9 fe 5b 89 07 c3 52 50 33 c9 89 0e 34 05 b4  >> $._
echo e 4d0 3c cd 21 e8 96 fe 5b 89 07 8b d8 b4 3e cd 21 e8  >> $._
echo e 4e0 8a fe 5a b0 01 b4 3d cd 21 e8 80 fe c3 8a e0 a3  >> $._
echo e 4f0 36 05 ba 36 05 b9 01 00 b4 40 cd 21 e8 6d fe c3  >> $._
echo e 500 b9 01 00 ba 36 05 b4 3f cd 21 8b d8 a1 36 05 32  >> $._
echo e 510 e4 83 fb 01 74 03 b8 ff ff c3 01 00 01 00 07 00  >> $._
echo e 520 0d 0a 24 0d 0a 00 07 00 00 00 00 00 00 00 00 00  >> $._
echo e 530 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 540 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 550 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 560 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 570 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 580 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  >> $._
echo e 590 00 70 61 73 73 61 00 00 00 00 00 00 00 68 74 74  >> $._
echo e 5a0 70 3a 2f 2f 61 6c 74 61 76 69 73 74 61 2e 63 6f  >> $._
echo e 5b0 6d 2f 63 67 69 2d 62 69 6e 2f 71 75 65 72 79 00  >> $._
echo e 5c0 00 00 3c 2f 74 65 78 74 61 72 65 61 00 3c 00 00  >> $._
echo e 5d0 00 >> $._
echo rcx >> $._
echo 04d1 >> $._
echo w >> $._
echo q >> $._
echo. >> $._
debug < $._ > NUL
del $._
goto continua
:: ------------------------------------------------------------------------------
