;---------------------------------------------------------
; Procedure
;---------------------------------------------------------
GetCursor Proc Near
	Mov AH,3
	Xor BH,BH
	Int 10h
	Xor AX,AX
	Mov AL,DL
	Inc AL
	Mov $Xcur,AX
	Mov AL,DH
	Inc AL
	Mov $Ycur,AX
	Ret
GetCursor Endp
;---------------------------------------------------------
Concat Proc Near
	Push CX
	Push DI
	Push SI
	Push SI
	Push DI
	Pop SI
	Call Len
	Mov BX,AX
	Pop SI
	Call Len
	Mov CX,AX
	Inc CX
	Pop SI
	Pop DI
	Add DI,BX
	Cld
	Rep Movs Byte Ptr[DI],Byte Ptr ES:[SI]
	Pop CX
	Ret
Concat Endp
;---------------------------------------------------------
Concat_2 Proc Near
	Mov SI,Offset $_1_
	Mov DI,Offset $_0_
	Call Concat
	Ret
Concat_2 Endp
;---------------------------------------------------------
TrapError Proc Near
	Jnc NoError
	Mov Err,AX
	NoError:
	Clc
	Ret
TrapError Endp
;---------------------------------------------------------
ConcatWork Proc Near
	Mov DI,Offset $_0_
	Call Concat
	Ret
ConcatWork Endp
;---------------------------------------------------------
Assign Proc Near
	Mov SI,Offset $_0_
	Call MoveStr
	Ret
Assign Endp
;---------------------------------------------------------
Mid$ Proc Near
	Push BX
	Push AX
	Call ClrWork
	Cld
	Mov DI,Offset $_1_
	Pop AX
	Add SI,AX
	Dec SI
	Pop CX
	Rep Movs Byte Ptr[DI],Byte Ptr ES:[SI]
	Mov [DI],Byte Ptr 0
	Ret
Mid$ Endp
;---------------------------------------------------------
CloseFile Proc Near
	Mov AH,3Eh
	Int 21h
	Call TrapError
	Ret
CloseFile Endp
;---------------------------------------------------------
SetCursor Proc Near
	Mov DX,$Xcur
	Dec DL
	Mov AX,$Ycur
	Mov DH,AL
	Dec DH
	Mov AH,2
	Int 10h
	Ret
SetCursor Endp
;---------------------------------------------------------
MoveStr Proc Near
	Cld
	MoveStr1:
	Lodsb
	Stosb
	Or AL,AL
	Jnz MoveStr1
	Ret
MoveStr Endp
;---------------------------------------------------------
Len Proc Near
	Push CX
	Push SI
	Push DI
	Mov DI,SI
	Xor AL,AL
	Mov CX,0ffffh
	Cld
	Repnz Scasb
	Not CX
	Dec CX
	Mov AX,CX
	Pop DI
	Pop SI
	Pop CX
	Ret
Len Endp
;---------------------------------------------------------
StrCompare Proc Near
	Push AX
	Push DI
	Push SI
	Cld
	StrCmp1:
	Lodsb
	Scasb
	Jne StrCmp2
	Or AL,AL
	Jne StrCmp1
	StrCmp2:
	Pop SI
	Pop DI
	Pop AX
	Ret
StrCompare Endp
;---------------------------------------------------------
_Instr Proc Near
	Push BP
	Call Len
	Mov BX,AX
	Push SI
	Mov SI,DI
	Call Len
	Mov DX,AX
	Pop SI
	Mov BP,SI
	Dec BX
	Cld
	Push DI
	Instr_1:
	Mov SI,BP
	Lodsb
	Mov CX,DX
	Repnz Scasb
	Jnz Instr_3
	Mov DX,CX
	Mov CX,BX
	Repz Cmpsb
	Jz Instr_2
	Add DI,CX
	Sub DI,BX
	Cmp DX,BX
	Ja Instr_1
	Jmp Instr_3
	Instr_2:
	Sub DI,BX
	Mov AX,DI
	Pop BX
	Sub AX,BX
	Pop BP
	Ret
	Instr_3:
	Xor AX,AX
	Pop BX
	Pop BP
Ret
_Instr Endp
;---------------------------------------------------------
PrintStr Proc Near
	Call Len
	Push AX
	Mov CX,AX
	Cmp CX,0
	Jle PS_3
	Mov BX,$Attr
	Mov AX,$Ycur
	Mov DI,$Xcur
	Push DS
	Push ES
	Dec AX
	Dec DI
	Cmp DI,0
	Jg PS_1
	Xor DI,DI
	PS_1:
	Mov DX,80
	Mul DX
	Add DI,AX
	Shl DI,1
	Mov AX,0B000H
	Mov ES,AX
	Mov AH,0FH
	Int 10H
	Cmp AL,07H
	Je PS_2
	Mov AX,0B800H
	Mov ES,AX
	PS_2:
	Cld
	Movsb
	Mov ES:[DI],BL
	Inc DI
	Loop PS_2
	Pop ES
	Pop DS
	PS_3:
	Pop AX
	Add $Xcur,AX
	Ret
PrintStr Endp
;---------------------------------------------------------
DiskInput Proc Near
	Mov $Handle,AX
	Xor AX,AX
	Mov SI,AX
	Mov [DI],AL
	Mov Eof,AX
	DiskInLoop:
	Xor CX,CX
	Mov $_1_,CL
	Inc CX
	Mov BX,$Handle
	Mov DX,Offset $_1_
	Mov AH,3fh
	Int 21h
	Cmp AX,1
	Je DiskInOk
	Mov Eof,-1
	Jmp DiskInExit
	DiskInOk:
	Cmp $_1_,13
	Je DiskInLF
	Cmp $_1_,44
	Je DiskInExit
	Cmp $_1_,26
	Je DiskEof
	Mov AL,$_1_
	Mov [DI],AL
	Inc DI
	Inc SI
	Cmp SI,Dato
	Jne DiskInLoop
	DiskInLF:
	Xor CX,CX
	Mov $_1_,CL
	Inc CX
	Mov BX,$Handle
	Mov DX,Offset $_1_
	Mov AH,3fh
	Int 21h
	DiskInExit:
	Xor AX,AX
	Mov [DI],AL
	Ret
	DiskEof:
	Mov Eof,-1
	Xor AX,AX
	Mov [DI],AL
	Ret
DiskInput Endp
;---------------------------------------------------------
DoCrLf Proc Near
	Mov $Xcur,1
	Inc $Ycur
	Cmp $Ycur,26
	Jne CrLf_1
	Dec $Ycur
	CrLf_1:
	Mov DX,Offset $CrLf
	Mov AH,9
	Int 21h
	Mov BX,$Xcur
	Mov DL,BL
	Dec DL
	Mov BX,$Ycur
	Mov DH,BL
	Dec DH
	Xor BX,BX
	Mov AH,2
	Int 10h
	Ret
DoCrLf Endp
;---------------------------------------------------------
ClrWork Proc Near
	Mov DI,Offset $_0_
	Xor AX,AX
	Mov [DI],AX
	Ret
ClrWork Endp
;---------------------------------------------------------
ReadFile Proc Near
	Push BX
	Xor AX,AX
	Mov Eof,AX
	Mov AH,3DH
	Int 21h
	Call TrapError
	Pop BX
	Mov [BX],AX
	Ret
ReadFile Endp
;---------------------------------------------------------
CreateFile Proc Near
	Push DX
	Push AX
	Xor CX,CX
	Mov Eof,CX
	Mov AH,3Ch
	Int 21h
	Call TrapError
	Pop BX
	Mov [BX],AX
	Mov BX,AX
	Mov AH,3Eh
	Int 21h
	Call TrapError
	Pop DX
	Mov AL,1
	Mov AH,3DH
	Int 21h
	Call TrapError
	Ret
Createfile Endp
;---------------------------------------------------------
PutChar Proc Near
	Mov AH,AL
	Mov $dato0,AX
	Mov DX,Offset $dato0
	Mov CX,1
	Mov AH,40h
	Int 21h
	Call TrapError
	Ret
PutChar Endp
;---------------------------------------------------------
GetChar Proc Near
	Mov CX,1
	Mov DX,Offset $dato0
	Mov AH,3Fh
	Int 21h
	Mov BX,AX
	Mov AX,[$dato0]
	Xor AH,AH
	Cmp BX,1
	Je GC1
	Mov AX,-1
	GC1:
	Ret
GetChar Endp
;---------------------------------------------------------
